<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet"
	th:href="@{/bootstrap-5.1.3-dist/css/bootstrap.min.css}">

<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
	integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
	crossorigin="anonymous" referrerpolicy="no-referrer" />

<script th:src="@{/jquery-3.6.0-dist/jquery-3.6.0.min.js}"></script>
<script th:src="@{/bootstrap-5.1.3-dist/js/bootstrap.min.js}"></script>


<title>Index</title>

</head>
<body>

	<div class="container">
		<div class="row" style="padding-bottom: 30px;">
			<div class="col">
				<a th:href="@{/novo}" class="btn btn-primary">Novo Estudante</a>
			</div>
		</div>
		
		<div class="row">
			<div class="col-sm-5">
				<form th:action="@{/buscar}" method="post">
					<div class="input-group">
						<input type="text" class="form-control" name="nome" /> <input
							class="btn btn-primary" type="submit" value="Buscar" /> 
						<a th:href="@{/}" class="btn btn-danger" type="submit">Cancelar </a>
					</div>
				</form>
			</div>
		</div>

		<div class="row">
			<div class="alert alert-danger alert-dismissible fade show"
				th:if="${mensagemErro}">
				<button type="button" class="btn-close" data-bs-dismiss="alert"></button>
				<span th:text="${mensagemErro}"></span>
			</div>
			<table class="table table-striped">
				<thead>
					<tr>
						<th>Id</th>
						<th>Nome</th>
						<th>Idade</th>
						<th>Ações</th>
					</tr>
				</thead>
				<tbody>
					<tr th:if="${listaEstudantes.empty}">
						<td colspan="3">Não existem estudantes.</td>
					</tr>
					<tr th:each="estudante : ${listaEstudantes}">
						<td><span th:text="${estudante.id}"></span></td>
						<td><span th:text="${estudante.nome}"></span></td>
						<td><span th:text="${estudante.idade}"></span></td>
						<td><a class="fa-regular fa-trash-can icon-dark btn-delete"
							th:href="@{/apagar/{id}(id=${estudante.id})}"
							th:data-confirm-delete="|Você gostaria de apagar ${estudante.nome}?|"
							th:onclick="if (!confirm(this.getAttribute('data-confirm-delete')))
										      return false">

						</a>	
						&nbsp;
						<a class="fa-regular fa-pen-to-square icon-dark"
							th:href="@{/editar/{id}(id=${estudante.id})}"></a>
							
						&nbsp;
						<a class="fa-solid fa-house"
							th:href="@{/endereco/buscar-endereco/{id}(id=${estudante.id})}"></a>							
						</td>
											
					</tr>
				</tbody>
			</table>
		</div>

	</div>
</body>
</html>